import * as $dara from '@darabonba/typescript';
import { DescribeImageRepoDetailListResponseBody } from "./DescribeImageRepoDetailListResponseBody";
export declare class DescribeImageRepoDetailListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeImageRepoDetailListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
